package com.oracle.ucm.utils.data;


public class docInfoContainer 
{
    private resultsContainer m_docinfo;
    private resultsContainer m_revhistory;
    private int m_docInfoCols = 0;
    private int m_docInfoRows = 0;
    private int m_revHistoryCols = 0;
    private int m_revHistoryRows = 0;
    
    
    public docInfoContainer() 
    {
        super();
        m_docinfo = new resultsContainer();
        m_revhistory = new resultsContainer();
    }
    
    public void initDocInfo(int numcols, int numrows) 
    {
        m_docinfo.init(numcols, numrows);
        m_docInfoCols = numcols;
        m_docInfoRows = numrows;
        
    }
    
    public void initRevHistory(int numcols, int numrows)
    {
        m_revhistory.init(numcols, numrows);
        m_revHistoryCols = numcols;
        m_revHistoryRows = numrows;
    }
    
    public void setDocInfoCols(String cols[]) 
    {
        m_docinfo.setCols(cols);
    }
    
    public String[] getDocInfoCols() 
    {
       return m_docinfo.getCols();   
    }
    
    public void setDocInfoRows(String rows[][])
    {
      m_docinfo.setRows(rows);
    }
    
    public String[][] getDocInfoRows()
    {
      return m_docinfo.getRows();
    }
    
    public int getDocInfoNumRows()
    {
      return m_docinfo.getNumRows();
    }
    
    public int getDocInfoNumCols()
    {
      return m_docinfo.getNumCols();
    }
    
    public void setRevHistoryCols(String cols[]) 
    {
        m_revhistory.setCols(cols);
    }
    
    public String[] getRevHistoryCols() 
    {
       return m_revhistory.getCols();   
    }
    
    public void setRevHistoryRows(String rows[][])
    {
      m_revhistory.setRows(rows);
    }
    
    public String[][] getRevHistoryRows()
    {
      return m_revhistory.getRows();
    }
    
    public int getRevHistoryNumRows()
    {
      return m_revhistory.getNumRows();
    }
    
    public int getRevHistoryNumCols()
    {
      return m_revhistory.getNumCols();
    }
    
    
}
